﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace FlexgridComboBox_TypeConverter
{
  public partial class ComboBoxGreatEnum : ComboBox
  {
    public ComboBoxGreatEnum()
    {
      InitializeComponent();

      this.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
      this.FormattingEnabled = true;

    }

    public void CreateItems()
    {

      Array values = Enum.GetValues(typeof(MyGreatEnum));
      List<Enum> list = new List<Enum>(values.Length);
      foreach (Enum enumValue in values)
      {
        list.Add(enumValue);
      }
      this.Items.Clear();
      this.Items.AddRange(list.ToArray());
    }
  }
}
